#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 41. Other X-based Programs

- Prev

  Gimp-2.10.30

- Next

  HexChat-2.16.1

- Up
- Home

# Gparted-1.3.1

## Introduction to Gparted

Gparted is the Gnome Partition Editor, a Gtk 3 GUI for other command line tools that can create, reorganise or delete disk partitions.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/gparted/gparted-1.3.1.tar.gz

- Download MD5 sum: 1b2de7823b39684d0cba1ddaad3a9cd5

- Download size: 4.0 MB

- Estimated disk space required: 76 MB (add 60 MB for tests)

- Estimated build time: 0.3 SBU (using parallelism=4; add 0.2 SBU for tests)

### Gparted Dependencies

#### Required

Gtkmm-3.24.5 and parted-3.4

#### Optional

btrfs-progs-5.16.2 (if using a btrfs filesystem), exfatprogs, and udftools

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gparted

## Installation of Gparted

Install Gparted by running the following commands:

    ./configure --prefix=/usr    \
                --disable-doc    \
                --disable-static &&
    make

To run the tests, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--disable-doc`: This switch disables building of the optional documentation. Remove it if you have installed GNOME Doc Utils.

`--enable-xhost-root`: This switch provides an interim workaround to allow GParted to run under Wayland by using xhost to grant and revoke root access to the X11 display.

## Using Gparted

To manipulate file systems Gparted has a run time dependency on various file system tools (you only need to install the tools for file systems you actually use): Hdparm-9.63 (required for optionally displaying serial number device information), btrfs-progs-5.16.2, dosfstools-4.2, e2fsprogs (installed as part of LFS), jfsutils-1.1.15, reiserfsprogs-3.6.27, xfsprogs-5.14.2, mtools (required to read and write FAT16/32 volume labels and UUIDs), hfsutils, hfsprogs, nilfs-utils and Reiser4progs.

Root privileges are required to run Gparted. If you wish to run the application from the menu, further applications and configurations are necessary. Examples of applications that may be used: gksu, kdesudo, or xdg-su. Another simple solution is ssh-askpass-8.8p1.

###

#### ssh-askpass

To optionally use ssh-askpass-8.8p1 if it is installed in your system, run the following commands as the `root` user:

    cp -v /usr/share/applications/gparted.desktop /usr/share/applications/gparted.desktop.back &&
    sed -i 's/Exec=/Exec=sudo -A /'               /usr/share/applications/gparted.desktop

Now, clicking on the menu item for Gparted, a dialog appears on the screen, asking for the administrator password.

## Contents

Installed Programs: gparted and gparted_polkit (optional)
Installed Libraries: None
Installed Directories: None

### Short Descriptions

gparted | is a shell script which sets up the environment before calling gpartedbin
gparted_polkit | is an optional script which can be used to run gparted with polkit, from a menu

Last updated on

- Prev

  Gimp-2.10.30

- Next

  HexChat-2.16.1

- Up
- Home